package com.fs.company.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fs.company.domain.WxRoom;
import com.fs.company.domain.WxRoomMembers;

import java.util.List;

public interface WxRoomMembersMapper extends BaseMapper<WxRoomMembers> {
    /**
     * 根据ID查询群成员信息
     */
    WxRoomMembers selectWxRoomMembersById(Long id);

    /**
     * 查询群成员信息列表
     */
    List<WxRoomMembers> selectWxRoomMembersList(WxRoomMembers wxRoomMembers);

    /**
     * 新增群成员信息
     */
    int insertWxRoomMembers(WxRoomMembers wxRoomMembers);

    /**
     * 修改群成员信息
     */
    int updateWxRoomMembers(WxRoomMembers wxRoomMembers);

    /**
     * 删除群成员信息
     */
    int deleteWxRoomMembersById(Long id);

    /**
     * 批量删除群成员信息
     */
    int deleteWxRoomMembersByIds(Long[] ids);

    /**
     * 根据群ID删除群成员信息
     */
    int deleteWxRoomMembersByRoomId(String roomId);

    /**
     * 根据群ID查询群成员数量
     */
    int selectMemberCountByRoomId(String roomId);
}
